# Generated by Django 4.2.6 on 2023-11-13 07:03

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0012_alter_user_first_name_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('login', models.CharField(max_length=50, unique=True)),
                ('password', models.CharField(max_length=67)),
                ('first_name', models.CharField(blank=True, max_length=50, null=True)),
                ('last_name', models.CharField(blank=True, max_length=50, null=True)),
                ('email', models.CharField(max_length=191, unique=True)),
                ('image_url', models.CharField(blank=True, max_length=256, null=True)),
                ('activated', models.BooleanField(default=False)),
                ('lang_key', models.CharField(blank=True, choices=[('en', 'en'), ('bg', 'bg'), ('fr', 'fr'), ('de', 'de')], max_length=10, null=True)),
                ('activation_key', models.CharField(blank=True, max_length=20, null=True)),
                ('reset_key', models.CharField(blank=True, max_length=20, null=True)),
                ('reset_date', models.DateTimeField(blank=True, null=True)),
                ('created_by', models.CharField(default='anonymousUser', max_length=50)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('last_modified_by', models.CharField(blank=True, default='anonymousUser', max_length=50, null=True)),
                ('last_modified_date', models.DateTimeField(auto_now=True)),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('is_staff', models.BooleanField(default=False)),
                ('is_superuser', models.BooleanField(default=False,
                                                     help_text='Designates that this user has all permissions without explicitly assigning them.',
                                                     verbose_name='superuser status')),
                ('groups', models.ManyToManyField(blank=True, help_text='The groups this user belongs to. A user will get all permissions granted to each of their groups.', related_name='user_set', related_query_name='user', to='auth.group', verbose_name='groups')),
                ('user_permissions', models.ManyToManyField(blank=True, help_text='Specific permissions for this user.', related_name='user_set', related_query_name='user', to='auth.permission', verbose_name='user permissions')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
